import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');

const eyeSpacing = 71;
const eyeYOffset = -69;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);


const leftEyebrow = eyebrowsG
  .append('path')
    .attr('x', -eyeSpacing - eyebrowWidth / 5)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
.attr('d', arc()({
      innerRadius: 20,
      outerRadius: 90,
      startAngle:  Math.PI / 3,
      endAngle:   Math.PI / 2 
    }));

const rightEyebrow = eyebrowsG
  .append('path')
    .attr('x', eyeSpacing - eyebrowWidth / 1)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
.attr('d', arc()({
      innerRadius: 20,
      outerRadius: 90,
      startAngle:  Math.PI / -3,
      endAngle:   Math.PI / -2
    })); 

const nose = g
  .append('path')
    .attr('d', arc()({
      innerRadius: -2,
      outerRadius: 50,
      startAngle: 6 / Math.PI ,
      endAngle:  1.4 * Math.PI 
    }));


const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: 6 / Math.PI ,
      endAngle:  1.4 * Math.PI 
    }));











